Package org.apache.tools.ant.taskdefs.optional.net

# Class FTP.Granularity

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.net.FTP.Granularity

Enclosing class:
  `FTP`

public static class FTP.Granularity extends EnumeratedAttribute
represents one of the valid timestamp adjustment values recognized by the `timestampGranularity` attribute.

A timestamp adjustment may be used in file transfers for checking uptodateness. MINUTE means to add one minute to the server timestamp. This is done because FTP servers typically list timestamps HH:mm and client FileSystems typically use HH:mm:ss. The default is to use MINUTE for PUT actions and NONE for GET actions, since GETs have the `preserveLastModified` option, which takes care of the problem in most use cases where this level of granularity is an issue.

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor
Description
`Granularity()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getMilliseconds(int action)`
returns the number of milliseconds associated with the attribute, which can vary in some cases depending on the value of the action parameter.
`String[]`
`getValues()`
Get the valid values.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Granularity

public Granularity()

## Method Details

### getValues

public String[] getValues()
Get the valid values.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the list of valid Granularity values

### getMilliseconds

public long getMilliseconds(int action)
returns the number of milliseconds associated with the attribute, which can vary in some cases depending on the value of the action parameter.

Parameters:
  `action` - SEND_FILES or GET_FILES
Returns:
  the number of milliseconds associated with the attribute, in the context of the supplied action